Bug 24012 - Display 'Locked' budget with a lock icon
Summary: Display 'Locked' budget with a lock icon
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Buckley
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-11-11 17:00 UTC by Caroline Cyr La Rose
Modified: 2020-11-19 23:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24012: Budget 'Locked" text colour changed and lock icon added (3.41 KB, patch)
2020-10-26 08:19 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 24012: Budget 'Locked" text colour changed and lock icon added (3.54 KB, patch)
2020-10-26 12:33 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 24012: Budget 'Locked" text colour changed and lock icon added (3.56 KB, patch)
2020-10-28 08:50 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 24012: Budget 'Locked" text colour changed and lock icon added (3.61 KB, patch)
2020-10-28 16:23 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 24012: Budget 'Locked" text colour changed and lock icon added (3.62 KB, patch)
2020-11-01 11:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24012: (QA follow-up) Use standard patterns (3.19 KB, patch)
2020-11-01 11:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24012: (QA follow-up) Use standard patterns (3.24 KB, patch)
2020-11-02 14:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24012: Budget 'Locked" text colour changed and lock icon added (3.62 KB, patch)
2020-11-02 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24012: (QA follow-up) Use standard patterns (3.30 KB, patch)
2020-11-02 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2019-11-11 17:00:48 UTC
I find it illogical that the 'Locked' in locked budget is displayed in green. Shouldn't it be displayed in red?

To reproduce:
1- Go to Administration
2- Click on Budgets
3- Add a new budget and check the 'Lock budget' box
4- Click on the 'Inactive budgets' tab
5- Note that 'Locked' is displayed in green
Comment 1 Caroline Cyr La Rose 2019-11-11 17:39:00 UTC
Also add "lock" icon for usability (specifically colour-blind users), as per Martin's request.
Comment 2 Alex Buckley 2020-10-26 08:19:35 UTC
Created attachment 112499 [details] [review]
Bug 24012: Budget 'Locked" text colour changed and lock icon added

Test plan:
1. Go to Administration
2. Click on Budgets
3. Add a new bdget and check the 'Lock budget' box
4. Click on the 'Inactive budgets' tab
5. Note that 'Locked' is displayed in green
6. Apply patch
7. Compile the sass files (setup detailed here:https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface ) by running:
yarn build

8. Refresh the page and notice the 'Locked' text is now red, and there
is a lock icon to the left of the text

Sponsored-by: Catalyst IT
Comment 3 Alex Buckley 2020-10-26 08:22:25 UTC
Hi Caroline, 

I have kept the lock icon displaying in its default black colour in my patch. This is so it stands out to color-blind users. If you think it should be red please do let me know.

Thanks,
Alex
Comment 4 Séverine Queune 2020-10-26 12:33:36 UTC
Created attachment 112516 [details] [review]
Bug 24012: Budget 'Locked" text colour changed and lock icon added

Test plan:
1. Go to Administration
2. Click on Budgets
3. Add a new bdget and check the 'Lock budget' box
4. Click on the 'Inactive budgets' tab
5. Note that 'Locked' is displayed in green
6. Apply patch
7. Compile the sass files (setup detailed here:https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface ) by running:
yarn build

8. Refresh the page and notice the 'Locked' text is now red, and there
is a lock icon to the left of the text

Sponsored-by: Catalyst IT
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2020-10-26 12:35:26 UTC
(In reply to Alex Buckley from comment #3)
> Hi Caroline, 
> 
> I have kept the lock icon displaying in its default black colour in my
> patch. This is so it stands out to color-blind users. If you think it should
> be red please do let me know.
> 
> Thanks,
> Alex

Black locker sees ok to me, but I Caroline confirm that point !
Thanks Alex !
Comment 6 Alex Buckley 2020-10-26 19:49:39 UTC
Thank you for testing Séverine!
Comment 7 Caroline Cyr La Rose 2020-10-27 16:20:54 UTC
Hi Alex!

Do you think you could add a space between the lock icon and the word "locked"?

Otherwise, it works perfectly!

Caroline
Comment 8 Alex Buckley 2020-10-28 08:50:43 UTC
Created attachment 112633 [details] [review]
Bug 24012: Budget 'Locked" text colour changed and lock icon added

Test plan:
1. Go to Administration
2. Click on Budgets
3. Add a new bdget and check the 'Lock budget' box
4. Click on the 'Inactive budgets' tab
5. Note that 'Locked' is displayed in green
6. Apply patch
7. Compile the sass files (setup detailed here:https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface ) by running:
yarn build

8. Refresh the page and notice the 'Locked' text is now red, and there
is a lock icon to the left of the text. There is a space between the
lock icon and the 'Locked' text.

Sponsored-by: Catalyst IT
Comment 9 Alex Buckley 2020-10-28 08:53:03 UTC
Hi Caroline and Séverine , 

Thanks both for testing! I've added a space in between the lock icon and the 'Locked' text which you should now see after running the yarn build command. 

Would you mind retesting now?

Thanks,
Alex
Comment 10 Caroline Cyr La Rose 2020-10-28 16:23:13 UTC
Created attachment 112649 [details] [review]
Bug 24012: Budget 'Locked" text colour changed and lock icon added

Test plan:
1. Go to Administration
2. Click on Budgets
3. Add a new bdget and check the 'Lock budget' box
4. Click on the 'Inactive budgets' tab
5. Note that 'Locked' is displayed in green
6. Apply patch
7. Compile the sass files (setup detailed here:https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface ) by running:
yarn build

8. Refresh the page and notice the 'Locked' text is now red, and there
is a lock icon to the left of the text. There is a space between the
lock icon and the 'Locked' text.

Sponsored-by: Catalyst IT
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 11 Caroline Cyr La Rose 2020-10-28 16:23:34 UTC
Thank Alex!
Comment 12 Alex Buckley 2020-10-28 20:03:41 UTC
Thanks very much for testing Caroline!
Comment 13 Katrin Fischer 2020-11-01 11:45:05 UTC
I am wondering about the use of the inline style. I know it has been there before, but as we already moved things to the scss, maybe we could finish it off here? I think it might be nicer to have both the locked and the lock in black. Red is a warnung color, but there is not really an error or danger in it being locked, so I think having both black would be ok.
Comment 14 Katrin Fischer 2020-11-01 11:56:36 UTC
Created attachment 112797 [details] [review]
Bug 24012: Budget 'Locked" text colour changed and lock icon added

Test plan:
1. Go to Administration
2. Click on Budgets
3. Add a new bdget and check the 'Lock budget' box
4. Click on the 'Inactive budgets' tab
5. Note that 'Locked' is displayed in green
6. Apply patch
7. Compile the sass files (setup detailed here:https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface ) by running:
yarn build

8. Refresh the page and notice the 'Locked' text is now red, and there
is a lock icon to the left of the text. There is a space between the
lock icon and the 'Locked' text.

Sponsored-by: Catalyst IT
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 15 Katrin Fischer 2020-11-01 11:56:40 UTC
Created attachment 112798 [details] [review]
Bug 24012: (QA follow-up) Use standard patterns

- Removes the scss change in favor of adding the space to the
  HTML as is the usual pattern when using Font Awesome icons
- Removes the span with the inline style to make things appear as
  black by default (no danger here in it being locked?)
Comment 16 Katrin Fischer 2020-11-01 11:57:27 UTC
Attached a follow-up simplifying things a little bit. Can you please check if that would be alright?
Comment 17 Owen Leonard 2020-11-02 14:26:38 UTC
Created attachment 112837 [details] [review]
Bug 24012: (QA follow-up) Use standard patterns

- Removes the scss change in favor of adding the space to the
  HTML as is the usual pattern when using Font Awesome icons
- Removes the span with the inline style to make things appear as
  black by default (no danger here in it being locked?)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 18 Katrin Fischer 2020-11-02 21:24:54 UTC
Created attachment 112875 [details] [review]
Bug 24012: Budget 'Locked" text colour changed and lock icon added

Test plan:
1. Go to Administration
2. Click on Budgets
3. Add a new bdget and check the 'Lock budget' box
4. Click on the 'Inactive budgets' tab
5. Note that 'Locked' is displayed in green
6. Apply patch
7. Compile the sass files (setup detailed here:https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface ) by running:
yarn build

8. Refresh the page and notice the 'Locked' text is now red, and there
is a lock icon to the left of the text. There is a space between the
lock icon and the 'Locked' text.

Sponsored-by: Catalyst IT
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 19 Katrin Fischer 2020-11-02 21:24:58 UTC
Created attachment 112876 [details] [review]
Bug 24012: (QA follow-up) Use standard patterns

- Removes the scss change in favor of adding the space to the
  HTML as is the usual pattern when using Font Awesome icons
- Removes the span with the inline style to make things appear as
  black by default (no danger here in it being locked?)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 Alex Buckley 2020-11-03 04:47:11 UTC
Thank you Katrin and Owen! On reflection I agree with you that 'Locked' probably shouldn't be displayed in red as it is not an error.
Comment 21 Jonathan Druart 2020-11-04 12:03:06 UTC
Pushed to master for 20.11, thanks to everybody involved!